export declare function wait(time: any): Promise<unknown>;
export declare function fromCallback<T>(fn: any): Promise<T>;
export declare function singleton<T>(fn: () => Promise<T>): () => Promise<T>;
export declare function singleton<T, A1>(fn: (...args: [A1]) => Promise<T>): (...args: [A1]) => Promise<T>;
export declare function singleton<T, A1, A2>(fn: (...args: [A1, A2]) => Promise<T>): (...args: [A1, A2]) => Promise<T>;
