/// <reference types="node" />
export declare function postURLEncoded(url: any, data: any): Promise<unknown>;
export declare function postFormEncoded(url: any, boundary: any, data: any): Promise<unknown>;
export declare function request(options: IOptions, data: (Buffer | string)[]): Promise<unknown>;
export declare function optionsFromUrl(raw: any): IOptions;
interface IOptions {
    agent?: string;
    method?: string;
    host?: string;
    hostname?: string;
    port?: string | number;
    headers?: {
        'Content-Type': string;
    };
    protocol?: string;
    path?: string;
}
export {};
